summaryrefslogtreecommitdiffstats
path: root/desktop/sdorfehs
diff options
context:
space:
mode:
author Brian Hoffpauir <bhoffpauir0424@gmail.com>2023-07-08 10:18:14 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-08 16:40:41 +0700
commita9d0dbb7a04fe297ee34dd34b945a6287f630706 (patch)
tree5a68efa4469516eb716148d6d1baac0b550a60a3 /desktop/sdorfehs
parent1feadfcbbbb0308d4c30c69dad3e7a28b597a621 (diff)
downloadslackbuilds-a9d0dbb7a04fe297ee34dd34b945a6287f630706.tar.gz
slackbuilds-a9d0dbb7a04fe297ee34dd34b945a6287f630706.tar.xz
desktop/sdorfehs: Added (tiling window manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop/sdorfehs')
-rw-r--r--desktop/sdorfehs/README9
-rw-r--r--desktop/sdorfehs/sdorfehs.SlackBuild106
-rw-r--r--desktop/sdorfehs/sdorfehs.info10
-rw-r--r--desktop/sdorfehs/slack-desc19
-rw-r--r--desktop/sdorfehs/xinitrc.sdorfehs30
5 files changed, 174 insertions, 0 deletions
diff --git a/desktop/sdorfehs/README b/desktop/sdorfehs/README
new file mode 100644
index 0000000000..6cdcdfc961
--- /dev/null
+++ b/desktop/sdorfehs/README
@@ -0,0 +1,9 @@
+Sdorfehs (pronounced "starfish") is a tiling window manager that
+descended from ratpoison. Like ratpoison, sdorfehs divides the screen
+into one or more frames. Sdorfehs uses a prefix key that proceeds most
+bindings like GNU Screen. This prefix is set to Control+a (refered to
+as C-a in the configuration).
+
+Use Slackware's 'xwmconfig' terminal UI command to switch to sdorfehs
+and then run 'startx'. Press Control+a and then ? (question mark) to
+view a list of key bindings.
diff --git a/desktop/sdorfehs/sdorfehs.SlackBuild b/desktop/sdorfehs/sdorfehs.SlackBuild
new file mode 100644
index 0000000000..5c0beee750
--- /dev/null
+++ b/desktop/sdorfehs/sdorfehs.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for sdorfehs
+
+# Copyright 2023 Brian Hoffpauir, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sdorfehs
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP # Move into package directory
+rm -rf $PRGNAM-$VERSION # Erase prior source
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root . # Give everything to root user/group
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ make
+make install PREFIX=/usr DESTDIR=$PKG
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Install xinitrc.sdorfehs
+mkdir -p $PKG/etc/X11/xinit
+install -m 0755 $CWD/xinitrc.$PRGNAM $PKG/etc/X11/xinit/xinitrc.$PRGNAM
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/sdorfehs/sdorfehs.info b/desktop/sdorfehs/sdorfehs.info
new file mode 100644
index 0000000000..c0a19c3fa4
--- /dev/null
+++ b/desktop/sdorfehs/sdorfehs.info
@@ -0,0 +1,10 @@
+PRGNAM="sdorfehs"
+VERSION="1.5"
+HOMEPAGE="https://github.com/jcs/sdorfehs/"
+DOWNLOAD="https://github.com/jcs/sdorfehs/archive/refs/tags/v1.5/sdorfehs-1.5.tar.gz"
+MD5SUM="49632b9f4726e04f44b8f1d6138f0065"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Brian Hoffpauir"
+EMAIL="bhoffpauir0424@gmail.com"
diff --git a/desktop/sdorfehs/slack-desc b/desktop/sdorfehs/slack-desc
new file mode 100644
index 0000000000..c63d13ab8b
--- /dev/null
+++ b/desktop/sdorfehs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sdorfehs: sdorfehs (pronounced "starfish"; tiling window manager)
+sdorfehs:
+sdorfehs: sdorfehs is a tiling window manager that is descended from ratpoison.
+sdorfehs: Sdorfehs functions similar to GNU Screen by dividing the screen into
+sdorfehs: one or more frames. Actions are also proceeded by a prefix key
+sdorfehs: (Control + a) by default.
+sdorfehs:
+sdorfehs: Wiki: https://github.com/jcs/sdorfehs/wiki
+sdorfehs:
+sdorfehs:
+sdorfehs:
diff --git a/desktop/sdorfehs/xinitrc.sdorfehs b/desktop/sdorfehs/xinitrc.sdorfehs
new file mode 100644
index 0000000000..285c667046
--- /dev/null
+++ b/desktop/sdorfehs/xinitrc.sdorfehs
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ xmodmap $usermodmap
+fi
+
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ exec ck-launch-session /usr/bin/sdorfehs
+else
+ exec /usr/bin/sdorfehs
+fi